Subject: Devuan-installer performs unnecessary rsync

From: David Waring <[email-masked]>
Date: Mon, 7 Sep 2020 20:56:57 +0200

Package: refractainstaller-yad
Version: current
Severity: normal

Precis: On invoking the installer from liveUSB Desktop and selecting install options including /home, it then wastes several hours copying existing ~1TB home partition to itself using rsync

Background: I already had MintXFCE 20 and Lubuntu (LxQt 0.14.1) installed on /dev/sda2 and /dev/sda4 respectively with /home on /dev/sd6. I have had a number of problems with LxQt on Unbuntu and wanted to try Devuan so decided to overwrite LUbubntu with Devuan.
I created a liveUSB and booted into the desktop.
I launched "Install Devuan" and then I selected:
[x] Create separate /home partition
[x] Use existing swap partition instead of swapfile
[x] do not format partitions. I'll handle it myself

I left all other options at default.

I selected the first option since there is no "Use existing /home partition" This may have been my mistake but from the options and instructions on the web it is not obvious how to use your existing partition once the install has completed.
Having done this and followed all the prompts, I was somewhat alarmed to see it listing all the files in /home. I opened Thunar on some of the folders listed and became even more confused since nothing seemed to have changed. I opened a terminal, ran top and found that most of my processor power was occupied with 2 copies of rsync. Since I knew that if it was copying to another partition it would run out of space I waited for the crash. 3+ hours later it finished syncing all the files with themselves. A mesg about chroot came up and installer waited for me to respond before continuing.
It was then that I made my second mistake. I selected what I thought might be useful text to copy into this email. I pressed Shft+Ctrl+C  to copy the text and refractainstaller-yad exited along with the prmpt dialog.
At this point I have given up and decided to carry on using Mint until the Installer becomes more user friendly.

I am not sure exactly what was happening but I assume it rsynced some of /target-home to /target/target-home or vice versa (target-home being a temporary mountpoint of the existing /home partition). Having aborted with the accidental Shft+Ctrl+C ,the Devuan partition now contains an empty /home folder and a partial copy of the /home partition  in /target-home folder.

The install process for Mint is much more logical in that GParted lets you select which partitions are mounted at which mountpoints and you have to elect whether or not to format within GParted. In refractainstaller-yad most actions of GParted are inhibited.